Index: branches/dev_002_LIM/NEMO/LIM_SRC/limflx.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limflx.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limflx.F90	(revision 821)
@@ -1,12 +1,12 @@
-MODULE limflx
+MODULE limflx_2
    !!======================================================================
-   !!                       ***  MODULE limflx   ***
+   !!                       ***  MODULE limflx_2   ***
    !!           computation of the flux at the sea ice/ocean interface
    !!======================================================================
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!   lim_flx  : flux at the ice / ocean interface
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2'                                    LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!   lim_flx_2  : flux at the ice / ocean interface
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -16,9 +16,9 @@
    USE ice_oce          ! sea-ice variable
    USE flx_oce          ! sea-ice/ocean forcings variables
-   USE ice              ! LIM sea-ice variables
-   USE flxblk           ! bulk formulea
+   USE ice_2             ! LIM sea-ice variables
+   USE flxblk_2           ! bulk formulea
    USE lbclnk           ! ocean lateral boundary condition
    USE in_out_manager   ! I/O manager
-   USE albedo           ! albedo parameters
+   USE albedo_2         ! albedo parameters
    USE prtctl           ! Print control
 
@@ -27,5 +27,5 @@
 
    !! * Routine accessibility
-   PUBLIC lim_flx       ! called by lim_step
+   PUBLIC lim_flx_2     ! called by lim_step_2
 
    !! * Module variables
@@ -44,7 +44,7 @@
 CONTAINS
 
-   SUBROUTINE lim_flx
+   SUBROUTINE lim_flx_2
       !!-------------------------------------------------------------------
-      !!                ***  ROUTINE lim_flx ***
+      !!                ***  ROUTINE lim_flx_2 ***
       !!  
       !! ** Purpose : Computes the mass and heat fluxes to the ocean
@@ -193,5 +193,5 @@
       !  2) Computation of snow/ice and ocean albedo   !
       !------------------------------------------------!
-      CALL flx_blk_albedo( zalb, zalcn, zalbp, zaldum )
+      CALL flx_blk_albedo_2( zalb, zalcn, zalbp, zaldum )
 
       alb_ice(:,:) =  0.5 * zalbp(:,:) + 0.5 * zalb (:,:)   ! Ice albedo                       
@@ -205,15 +205,15 @@
       ENDIF 
    
-    END SUBROUTINE lim_flx
+    END SUBROUTINE lim_flx_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :        Dummy module           NO LIM sea-ice model
+   !!   Default option :        Dummy module       NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_flx         ! Dummy routine
-   END SUBROUTINE lim_flx
+   SUBROUTINE lim_flx_2       ! Dummy routine
+   END SUBROUTINE lim_flx_2
 #endif 
 
    !!======================================================================
-END MODULE limflx
+END MODULE limflx_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limhdf.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limhdf.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limhdf.F90	(revision 821)
@@ -1,12 +1,12 @@
-MODULE limhdf
+MODULE limhdf_2
    !!======================================================================
-   !!                    ***  MODULE limhdf   ***
-   !! LIM ice model : horizontal diffusion of sea-ice quantities
+   !!                    ***  MODULE limhdf_2   ***
+   !! LIM 2.0 ice model : horizontal diffusion of sea-ice quantities
    !!======================================================================
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
+   !!   'key_lim2'  i                                 LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !!   lim_hdf  : diffusion trend on sea-ice variable
+   !!   lim_hdf_2  : diffusion trend on sea-ice variable
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -14,5 +14,5 @@
    USE ice_oce         ! ice variables
    USE in_out_manager
-   USE ice
+   USE ice_2
    USE lbclnk
    USE lib_mpp
@@ -23,5 +23,5 @@
 
    !! * Routine accessibility
-   PUBLIC lim_hdf    ! called by lim_tra
+   PUBLIC lim_hdf_2    ! called by lim_tra_2
 
    !! * Module variables
@@ -40,7 +40,7 @@
 CONTAINS
 
-   SUBROUTINE lim_hdf( ptab )
+   SUBROUTINE lim_hdf_2( ptab )
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE lim_hdf  ***
+      !!                  ***  ROUTINE lim_hdf_2  ***
       !!
       !! ** purpose :   Compute and add the diffusive trend on sea-ice
@@ -171,15 +171,15 @@
       ENDIF
 
-   END SUBROUTINE lim_hdf
+   END SUBROUTINE lim_hdf_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option          Dummy module           NO LIM sea-ice model
+   !!   Default option          Dummy module       NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_hdf         ! Empty routine
-   END SUBROUTINE lim_hdf
+   SUBROUTINE lim_hdf_2       ! Empty routine
+   END SUBROUTINE lim_hdf_2
 #endif
 
    !!======================================================================
-END MODULE limhdf
+END MODULE limhdf_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limistate.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limistate.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limistate.F90	(revision 821)
@@ -1,5 +1,5 @@
-MODULE limistate
+MODULE limistate_2
    !!======================================================================
-   !!                     ***  MODULE  limistate  ***
+   !!                     ***  MODULE  limistate_2  ***
    !!              Initialisation of diagnostics ice variables
    !!======================================================================
@@ -8,11 +8,11 @@
    !!                  !  06-07  (S. Masson)  IOM to read the restart
    !!--------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   lim_istate      :  Initialisation of diagnostics ice variables
-   !!   lim_istate_init :  initialization of ice state and namelist read
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   lim_istate_2      :  Initialisation of diagnostics ice variables
+   !!   lim_istate_init_2 :  initialization of ice state and namelist read
    !!----------------------------------------------------------------------
    USE phycst
@@ -20,10 +20,9 @@
    USE oce             ! dynamics and tracers variables      !!gm used???
    USE dom_oce                                                     !!gm used???
-   USE par_ice         ! ice parameters
+   USE par_ice_2       ! ice parameters
    USE ice_oce         ! ice variables
-   USE dom_ice
-   USE ice             ! ???
+   USE dom_ice_2
    USE lbclnk
-   USE ice
+   USE ice_2
    USE iom
    USE in_out_manager
@@ -32,5 +31,5 @@
    PRIVATE
 
-   PUBLIC lim_istate      ! routine called by lim_init.F90
+   PUBLIC lim_istate_2      ! routine called by lim_init_2.F90
 
    REAL(wp) ::           &  !!! ** init namelist (namiceini) **
@@ -54,7 +53,7 @@
 CONTAINS
 
-   SUBROUTINE lim_istate
-      !!-------------------------------------------------------------------
-      !!                    ***  ROUTINE lim_istate  ***
+   SUBROUTINE lim_istate_2
+      !!-------------------------------------------------------------------
+      !!                    ***  ROUTINE lim_istate_2  ***
       !!
       !! ** Purpose :   defined the sea-ice initial state
@@ -68,5 +67,5 @@
       !--------------------------------------------------------------------
 
-       CALL lim_istate_init     !  reading the initials parameters of the ice
+       CALL lim_istate_init_2   !  reading the initials parameters of the ice
 
       !-- Initialisation of sst,sss,u,v do i=1,jpi
@@ -200,10 +199,10 @@
       CALL lbc_lnk( sss_io , 'T', 1. )
       !
-   END SUBROUTINE lim_istate
+   END SUBROUTINE lim_istate_2
 
    
-   SUBROUTINE lim_istate_init
-      !!-------------------------------------------------------------------
-      !!                   ***  ROUTINE lim_istate_init  ***
+   SUBROUTINE lim_istate_init_2
+      !!-------------------------------------------------------------------
+      !!                   ***  ROUTINE lim_istate_init_2  ***
       !!        
       !! ** Purpose :   Definition of initial state of the ice 
@@ -273,15 +272,15 @@
       ENDIF
       !
-   END SUBROUTINE lim_istate_init
+   END SUBROUTINE lim_istate_init_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :         Empty module          NO LIM sea-ice model
+   !!   Default option :         Empty module      NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_istate          ! Empty routine
-   END SUBROUTINE lim_istate
+   SUBROUTINE lim_istate_2        ! Empty routine
+   END SUBROUTINE lim_istate_2
 #endif
 
    !!======================================================================
-END MODULE limistate
+END MODULE limistate_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limmsh.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limmsh.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limmsh.F90	(revision 821)
@@ -1,17 +1,17 @@
-MODULE limmsh
+MODULE limmsh_2
    !!======================================================================
-   !!                     ***  MODULE  limmsh  ***
-   !! LIM ice model :   definition of the ice mesh parameters
+   !!                     ***  MODULE  limmsh_2  ***
+   !! LIM 2.0 ice model :   definition of the ice mesh parameters
    !!======================================================================
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!   lim_msh   : definition of the ice mesh
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2'                                     LIM 2.0sea-ice model
+   !!----------------------------------------------------------------------
+   !!   lim_msh_2   : definition of the ice mesh
    !!----------------------------------------------------------------------
    !! * Modules used
    USE phycst
    USE dom_oce
-   USE dom_ice
+   USE dom_ice_2
    USE lbclnk
    USE in_out_manager
@@ -21,5 +21,5 @@
 
    !! * Accessibility
-   PUBLIC lim_msh      ! routine called by ice_ini.F90
+   PUBLIC lim_msh_2      ! routine called by ice_ini_2.F90
 
    !!----------------------------------------------------------------------
@@ -31,7 +31,7 @@
 CONTAINS
 
-   SUBROUTINE lim_msh
+   SUBROUTINE lim_msh_2
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE lim_msh  ***
+      !!                  ***  ROUTINE lim_msh_2  ***
       !!              
       !! ** Purpose : Definition of the charact. of the numerical grid
@@ -62,6 +62,6 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_msh : LIM sea-ice model, mesh initialization'
-         WRITE(numout,*) '~~~~~~~'
+         WRITE(numout,*) 'lim_msh_2 : LIM 2.0 sea-ice model, mesh initialization'
+         WRITE(numout,*) '~~~~~~~~~'
       ENDIF
       
@@ -245,5 +245,5 @@
       area(:,:) = e1t(:,:) * e2t(:,:)
       
-   END SUBROUTINE lim_msh
+   END SUBROUTINE lim_msh_2
 
 #else
@@ -252,8 +252,8 @@
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_msh           ! Dummy routine
-   END SUBROUTINE lim_msh
+   SUBROUTINE lim_msh_2           ! Dummy routine
+   END SUBROUTINE lim_msh_2
 #endif
 
    !!======================================================================
-END MODULE limmsh
+END MODULE limmsh_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limrhg.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limrhg.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limrhg.F90	(revision 821)
@@ -1,12 +1,12 @@
-MODULE limrhg
+MODULE limrhg_2
    !!======================================================================
-   !!                     ***  MODULE  limrhg  ***
+   !!                     ***  MODULE  limrhg_2  ***
    !!   Ice rheology :  performs sea ice rheology
    !!======================================================================
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
+   !!   'key_lim2'                                    LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !!   lim_rhg   : computes ice velocities
+   !!   lim_rhg_2   : computes ice velocities
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -14,6 +14,6 @@
    USE par_oce
    USE ice_oce         ! ice variables
-   USE dom_ice
-   USE ice
+   USE dom_ice_2
+   USE ice_2
    USE lbclnk
    USE lib_mpp
@@ -25,5 +25,5 @@
 
    !! * Routine accessibility
-   PUBLIC lim_rhg  ! routine called by lim_dyn
+   PUBLIC lim_rhg_2  ! routine called by lim_dyn_2
 
    !! * Module variables
@@ -39,7 +39,7 @@
 CONTAINS
 
-   SUBROUTINE lim_rhg( k_j1, k_jpj )
+   SUBROUTINE lim_rhg_2( k_j1, k_jpj )
       !!-------------------------------------------------------------------
-      !!                 ***  SUBROUTINR lim_rhg  ***
+      !!                 ***  SUBROUTINR lim_rhg_2  ***
       !!
       !! ** purpose :   determines the velocity field of sea ice by using
@@ -650,16 +650,16 @@
       ENDIF
 
-   END SUBROUTINE lim_rhg
+   END SUBROUTINE lim_rhg_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option          Dummy module           NO LIM sea-ice model
+   !!   Default option          Dummy module       NO 2.0 LIM sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_rhg( k1 , k2 )         ! Dummy routine
-      WRITE(*,*) 'lim_rhg: You should not have seen this print! error?', k1, k2
-   END SUBROUTINE lim_rhg
+   SUBROUTINE lim_rhg_2( k1 , k2 )       ! Dummy routine
+      WRITE(*,*) 'lim_rhg_2: You should not have seen this print! error?', k1, k2
+   END SUBROUTINE lim_rhg_2
 #endif
 
    !!==============================================================================
-END MODULE limrhg
+END MODULE limrhg_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limrst.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limrst.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limrst.F90	(revision 821)
@@ -1,5 +1,5 @@
-MODULE limrst
+MODULE limrst_2
    !!======================================================================
-   !!                     ***  MODULE  limrst  ***
+   !!                     ***  MODULE  limrst_2  ***
    !! Ice restart :  write the ice restart file
    !!======================================================================
@@ -7,14 +7,14 @@
    !!                 !  06-07  (S. Masson)  use IOM for restart read/write
    !!----------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   lim_rst_opn   : open ice restart file
-   !!   lim_rst_write : write of the ice restart file 
-   !!   lim_rst_read  : read  the ice restart file 
-   !!----------------------------------------------------------------------
-   USE ice
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   lim_rst_opn_2   : open ice restart file
+   !!   lim_rst_write_2 : write of the ice restart file 
+   !!   lim_rst_read_2  : read  the ice restart file 
+   !!----------------------------------------------------------------------
+   USE ice_2
    USE dom_oce
    USE ice_oce         ! ice variables
@@ -27,7 +27,7 @@
    PRIVATE
 
-   PUBLIC   lim_rst_opn     ! routine called by ??? module
-   PUBLIC   lim_rst_write   ! routine called by ??? module
-   PUBLIC   lim_rst_read    ! routine called by ??? module
+   PUBLIC   lim_rst_opn_2     ! routine called by ??? module
+   PUBLIC   lim_rst_write_2   ! routine called by ??? module
+   PUBLIC   lim_rst_read_2    ! routine called by ??? module
 
    LOGICAL, PUBLIC ::   lrst_ice         !: logical to control the ice restart write 
@@ -42,7 +42,7 @@
 CONTAINS
 
-   SUBROUTINE lim_rst_opn( kt )
-      !!----------------------------------------------------------------------
-      !!                    ***  lim_rst_opn  ***
+   SUBROUTINE lim_rst_opn_2( kt )
+      !!----------------------------------------------------------------------
+      !!                    ***  lim_rst_opn_2  ***
       !!
       !! ** purpose  :   output of sea-ice variable in a netcdf file
@@ -82,9 +82,9 @@
       ENDIF
       !
-   END SUBROUTINE lim_rst_opn
-
-   SUBROUTINE lim_rst_write( kt )
-      !!----------------------------------------------------------------------
-      !!                    ***  lim_rst_write  ***
+   END SUBROUTINE lim_rst_opn_2
+
+   SUBROUTINE lim_rst_write_2( kt )
+      !!----------------------------------------------------------------------
+      !!                    ***  lim_rst_write_2  ***
       !!
       !! ** purpose  :   output of sea-ice variable in a netcdf file
@@ -99,5 +99,5 @@
       IF( iter == nitrst ) THEN
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'lim_rst_write : write ice restart file  kt =', kt
+         IF(lwp) WRITE(numout,*) 'lim_rst_write_2 : write ice restart file  kt =', kt
          IF(lwp) WRITE(numout,*) '~~~~~~~'         
       ENDIF
@@ -166,10 +166,10 @@
       ENDIF
       !
-   END SUBROUTINE lim_rst_write
-
-
-   SUBROUTINE lim_rst_read
-      !!----------------------------------------------------------------------
-      !!                    ***  lim_rst_read  ***
+   END SUBROUTINE lim_rst_write_2
+
+
+   SUBROUTINE lim_rst_read_2
+      !!----------------------------------------------------------------------
+      !!                    ***  lim_rst_read_2  ***
       !!
       !! ** purpose  :   read of sea-ice variable restart in a netcdf file
@@ -181,5 +181,5 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_rst_read : read ice NetCDF restart file'
+         WRITE(numout,*) 'lim_rst_read_2 : read ice NetCDF restart file'
          WRITE(numout,*) '~~~~~~~~'
       ENDIF
@@ -257,12 +257,12 @@
       CALL iom_close( numrir )
       !
-   END SUBROUTINE lim_rst_read
+   END SUBROUTINE lim_rst_read_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :       Empty module            NO LIM sea-ice model
+   !!   Default option :       Empty module        NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 #endif
 
    !!======================================================================
-END MODULE limrst
+END MODULE limrst_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limtab.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limtab.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limtab.F90	(revision 821)
@@ -1,8 +1,8 @@
-MODULE limtab
+MODULE limtab_2
    !!======================================================================
-   !!                       ***  MODULE limtab   ***
+   !!                       ***  MODULE limtab_2   ***
    !!              transform 1D (2D) array to a 2D (1D) table
    !!======================================================================
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
    !!   tab_2d_1d  : 2-D to 1-D
@@ -16,6 +16,6 @@
 
    !! * Routine accessibility
-   PUBLIC tab_2d_1d  ! called by lim_ther
-   PUBLIC tab_1d_2d  ! called by lim_ther
+   PUBLIC tab_2d_1d_2  ! called by lim_ther
+   PUBLIC tab_1d_2d_2  ! called by lim_ther
 
    !!----------------------------------------------------------------------
@@ -26,5 +26,5 @@
 CONTAINS
 
-   SUBROUTINE tab_2d_1d ( ndim1d, tab1d, tab2d, ndim2d_x, ndim2d_y, tab_ind )
+   SUBROUTINE tab_2d_1d_2 ( ndim1d, tab1d, tab2d, ndim2d_x, ndim2d_y, tab_ind )
 
       INTEGER, INTENT(in) :: &
@@ -49,8 +49,8 @@
       END DO 
 
-   END SUBROUTINE tab_2d_1d
+   END SUBROUTINE tab_2d_1d_2
 
 
-   SUBROUTINE tab_1d_2d ( ndim1d, tab2d, tab_ind, tab1d, ndim2d_x, ndim2d_y )
+   SUBROUTINE tab_1d_2d_2 ( ndim1d, tab2d, tab_ind, tab1d, ndim2d_x, ndim2d_y )
 
       INTEGER, INTENT ( in) :: &
@@ -75,6 +75,6 @@
       END DO
 
-   END SUBROUTINE tab_1d_2d
+   END SUBROUTINE tab_1d_2d_2
 
 #endif
-END MODULE limtab
+END MODULE limtab_2
